Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icbini.F90
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icbini.F90	(revision 11395)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icbini.F90	(revision 12143)
@@ -406,8 +406,8 @@
       REWIND( numnam_ref )              ! Namelist namberg in reference namelist : Iceberg parameters
       READ  ( numnam_ref, namberg, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namberg in reference namelist', lwp )
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namberg in reference namelist' )
       REWIND( numnam_cfg )              ! Namelist namberg in configuration namelist : Iceberg parameters
       READ  ( numnam_cfg, namberg, IOSTAT = ios, ERR = 902 )
-902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namberg in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namberg in configuration namelist' )
       IF(lwm) WRITE ( numond, namberg )
       !
Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icblbc.F90
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icblbc.F90	(revision 11395)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icblbc.F90	(revision 12143)
@@ -278,5 +278,5 @@
          CALL mppsend( 12, zwebergs(1), 1, ipe_E, iml_req1)
          CALL mpprecv( 11, zewbergs(2), 1, ipe_E )
-         IF( l_isend ) CALL mpi_wait( iml_req1, iml_stat, iml_err )
+         CALL mpi_wait( iml_req1, iml_stat, iml_err )
          ibergs_rcvd_from_e = INT( zewbergs(2) )
       CASE(  0 )
@@ -287,6 +287,6 @@
          CALL mpprecv( 11, zewbergs(2), 1, ipe_E )
          CALL mpprecv( 12, zwebergs(2), 1, ipe_W )
-         IF( l_isend ) CALL mpi_wait( iml_req2, iml_stat, iml_err )
-         IF( l_isend ) CALL mpi_wait( iml_req3, iml_stat, iml_err )
+         CALL mpi_wait( iml_req2, iml_stat, iml_err )
+         CALL mpi_wait( iml_req3, iml_stat, iml_err )
          ibergs_rcvd_from_e = INT( zewbergs(2) )
          ibergs_rcvd_from_w = INT( zwebergs(2) )
@@ -295,5 +295,5 @@
          CALL mppsend( 11, zewbergs(1), 1, ipe_W, iml_req4)
          CALL mpprecv( 12, zwebergs(2), 1, ipe_W )
-         IF( l_isend ) CALL mpi_wait( iml_req4, iml_stat, iml_err )
+         CALL mpi_wait( iml_req4, iml_stat, iml_err )
          ibergs_rcvd_from_w = INT( zwebergs(2) )
       END SELECT
@@ -310,5 +310,5 @@
             CALL mpprecv( 13, ibuffer_e%data, ibergs_rcvd_from_e*jp_buffer_width )
          ENDIF
-         IF( ibergs_to_send_e > 0 .AND. l_isend ) CALL mpi_wait( iml_req1, iml_stat, iml_err )
+         IF( ibergs_to_send_e > 0 ) CALL mpi_wait( iml_req1, iml_stat, iml_err )
          DO i = 1, ibergs_rcvd_from_e
             IF( nn_verbose_level >= 4 ) THEN
@@ -329,6 +329,6 @@
             CALL mpprecv( 14, ibuffer_w%data, ibergs_rcvd_from_w*jp_buffer_width )
          ENDIF
-         IF( ibergs_to_send_w > 0 .AND. l_isend ) CALL mpi_wait( iml_req2, iml_stat, iml_err )
-         IF( ibergs_to_send_e > 0 .AND. l_isend ) CALL mpi_wait( iml_req3, iml_stat, iml_err )
+         IF( ibergs_to_send_w > 0 ) CALL mpi_wait( iml_req2, iml_stat, iml_err )
+         IF( ibergs_to_send_e > 0 ) CALL mpi_wait( iml_req3, iml_stat, iml_err )
          DO i = 1, ibergs_rcvd_from_e
             IF( nn_verbose_level >= 4 ) THEN
@@ -351,5 +351,5 @@
             CALL mpprecv( 14, ibuffer_w%data, ibergs_rcvd_from_w*jp_buffer_width )
          ENDIF
-         IF( ibergs_to_send_w > 0 .AND. l_isend ) CALL mpi_wait( iml_req4, iml_stat, iml_err )
+         IF( ibergs_to_send_w > 0 ) CALL mpi_wait( iml_req4, iml_stat, iml_err )
          DO i = 1, ibergs_rcvd_from_w
             IF( nn_verbose_level >= 4 ) THEN
@@ -409,5 +409,5 @@
          CALL mppsend( 16, zsnbergs(1), 1, ipe_N, iml_req1)
          CALL mpprecv( 15, znsbergs(2), 1, ipe_N )
-         IF( l_isend ) CALL mpi_wait( iml_req1, iml_stat, iml_err )
+         CALL mpi_wait( iml_req1, iml_stat, iml_err )
          ibergs_rcvd_from_n = INT( znsbergs(2) )
       CASE(  0 )
@@ -418,6 +418,6 @@
          CALL mpprecv( 15, znsbergs(2), 1, ipe_N )
          CALL mpprecv( 16, zsnbergs(2), 1, ipe_S )
-         IF( l_isend ) CALL mpi_wait( iml_req2, iml_stat, iml_err )
-         IF( l_isend ) CALL mpi_wait( iml_req3, iml_stat, iml_err )
+         CALL mpi_wait( iml_req2, iml_stat, iml_err )
+         CALL mpi_wait( iml_req3, iml_stat, iml_err )
          ibergs_rcvd_from_n = INT( znsbergs(2) )
          ibergs_rcvd_from_s = INT( zsnbergs(2) )
@@ -426,5 +426,5 @@
          CALL mppsend( 15, znsbergs(1), 1, ipe_S, iml_req4)
          CALL mpprecv( 16, zsnbergs(2), 1, ipe_S )
-         IF( l_isend ) CALL mpi_wait( iml_req4, iml_stat, iml_err )
+         CALL mpi_wait( iml_req4, iml_stat, iml_err )
          ibergs_rcvd_from_s = INT( zsnbergs(2) )
       END SELECT
@@ -441,5 +441,5 @@
             CALL mpprecv( 17, ibuffer_n%data, ibergs_rcvd_from_n*jp_buffer_width )
          ENDIF
-         IF( ibergs_to_send_n > 0 .AND. l_isend ) CALL mpi_wait( iml_req1, iml_stat, iml_err )
+         IF( ibergs_to_send_n > 0 ) CALL mpi_wait( iml_req1, iml_stat, iml_err )
          DO i = 1, ibergs_rcvd_from_n
             IF( nn_verbose_level >= 4 ) THEN
@@ -460,6 +460,6 @@
             CALL mpprecv( 18, ibuffer_s%data, ibergs_rcvd_from_s*jp_buffer_width )
          ENDIF
-         IF( ibergs_to_send_s > 0 .AND. l_isend ) CALL mpi_wait( iml_req2, iml_stat, iml_err )
-         IF( ibergs_to_send_n > 0 .AND. l_isend ) CALL mpi_wait( iml_req3, iml_stat, iml_err )
+         IF( ibergs_to_send_s > 0 ) CALL mpi_wait( iml_req2, iml_stat, iml_err )
+         IF( ibergs_to_send_n > 0 ) CALL mpi_wait( iml_req3, iml_stat, iml_err )
          DO i = 1, ibergs_rcvd_from_n
             IF( nn_verbose_level >= 4 ) THEN
@@ -482,5 +482,5 @@
             CALL mpprecv( 18, ibuffer_s%data, ibergs_rcvd_from_s*jp_buffer_width )
          ENDIF
-         IF( ibergs_to_send_s > 0 .AND. l_isend ) CALL mpi_wait( iml_req4, iml_stat, iml_err )
+         IF( ibergs_to_send_s > 0 ) CALL mpi_wait( iml_req4, iml_stat, iml_err )
          DO i = 1, ibergs_rcvd_from_s
             IF( nn_verbose_level >= 4 ) THEN
@@ -669,6 +669,5 @@
             ifldproc = nicbfldproc(jn)
             IF( ifldproc == narea ) CYCLE
-
-            IF( l_isend ) CALL mpi_wait( nicbfldreq(jn), iml_stat, iml_err )
+            CALL mpi_wait( nicbfldreq(jn), iml_stat, iml_err )
          ENDIF
          !
@@ -770,6 +769,5 @@
             ifldproc = nicbfldproc(jn)
             IF( ifldproc == narea ) CYCLE
-
-            IF( l_isend ) CALL mpi_wait( nicbfldreq(jn), iml_stat, iml_err )
+            CALL mpi_wait( nicbfldreq(jn), iml_stat, iml_err )
          ENDIF
          !
Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icbrst.F90
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icbrst.F90	(revision 11395)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icbrst.F90	(revision 12143)
@@ -131,6 +131,4 @@
       CALL iom_get( ncid, jpdom_unknown, 'kount' , zdata(:) )
       num_bergs(:) = INT(zdata(:))
-      ! Close file
-      CALL iom_close( ncid )
       !
 
@@ -146,4 +144,6 @@
       IF( lwp )   WRITE(numout,'(a,i5,a,i5,a)') 'icebergs, icb_rst_read: there were',ibergs_in_file,   &
          &                                    ' bergs in the restart file and', jn,' bergs have been read'
+      ! Close file
+      CALL iom_close( ncid )
       !
       ! Confirm that all areas have a suitable base for assigning new iceberg
Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icbstp.F90
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icbstp.F90	(revision 11395)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/ICB/icbstp.F90	(revision 12143)
@@ -86,5 +86,5 @@
       !                                   !* write out time
       ll_verbose = .FALSE.
-      IF( nn_verbose_write > 0 .AND. MOD( kt-1 , nn_verbose_write ) == 0 )   ll_verbose = ( nn_verbose_level >= 0 )
+      IF( nn_verbose_write > 0 .AND. MOD( kt-1 , nn_verbose_write ) == 0 )   ll_verbose = ( nn_verbose_level > 0 )
       !
       IF( ll_verbose )   WRITE(numicb,9100) nktberg, ndastp, nsec_day
